ProxyTransactionManagementConfiguration (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.annotation

## Class ProxyTransactionManagementConfiguration

- java.lang.Object
- - org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration
  - - org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration

- All Implemented Interfaces:
    Aware, ImportAware

      @Configuration
      public class ProxyTransactionManagementConfiguration
      extends AbstractTransactionManagementConfiguration

  `@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based annotation-driven transaction management.
  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `EnableTransactionManagement`, `TransactionManagementConfigurationSelector`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

      `enableTx, txManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyTransactionManagementConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanFactoryTransactionAttributeSourceAdvisor` | `transactionAdvisor()`
    `TransactionAttributeSource` | `transactionAttributeSource()`
    `TransactionInterceptor` | `transactionInterceptor()`

    - ### Methods inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

      `setImportMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyTransactionManagementConfiguration

          public ProxyTransactionManagementConfiguration()

  - ### Method Detail

    - #### transactionAdvisor

          @Bean(name="org.springframework.transaction.config.internalTransactionAdvisor")
          @Role(value=2)
          public BeanFactoryTransactionAttributeSourceAdvisor transactionAdvisor()

    - #### transactionAttributeSource

          @Bean
          @Role(value=2)
          public TransactionAttributeSource transactionAttributeSource()

    - #### transactionInterceptor

          @Bean
          @Role(value=2)
          public TransactionInterceptor transactionInterceptor()